<?php      defined('C5_EXECUTE') or die("Access Denied."); ?>

            <div id="panelShortUrl" class="panel panel-primary pull-right">
              <div class="panel-heading"><?php  echo t('Shorten a URL'); ?></div>
              <div class="panel-body">
                    <form id="fmUrlShorten"  class="form" onsubmit="urlShorten(); return false;">
                        <?php  echo $form->hidden("what","shortUrl"); ?>
                        <p><?php  echo t('Have a long URL you want to share? Paste it here and we will provide you a short version that will fit well within your message.'); ?></p>
                        <p><input type="text" name="longUrl" id="txtLongUrl" class="form-control" placeholder="http://"></p>
                        <p>
                            <a href="#" id="btnShortUrlGet" class="btn btn-primary" onclick="urlShorten(); return false;"><?php  echo t('Get Short Url'); ?></a>&nbsp;
                            <a href="#" id="btnShortUrlPaste" style="display: none;" class="btn btn-success" onclick="urlPaste(); return false;"><?php  echo t('Paste In Message'); ?></a>
                        </p>
                    </form>      
                    <div id="wrapShortUrl" class="well"></div>
              </div>
            </div>        

    <script>
    var SHORTURL = "";
    function urlPaste() {
        $('#message').val($('textarea#message').val()+SHORTURL);
        updateChars();
        $.fn.dialog.closeTop();
    }
    
    function urlShorten() {
        $('#wrapShortUrl').html('');
        $('#btnShortUrlGet, #btnShortUrlPaste').hide();
        $.getJSON(
            "<?php  echo Url::to('grouptextpro/ajax'); ?>",
            $('#fmUrlShorten').serialize(),
            function(data) {
                if(data.success) {
                    SHORTURL = data.shortUrl;
                    $('#wrapShortUrl').html(data.shortUrl);                 
                    $('#btnShortUrlGet, #btnShortUrlPaste').fadeIn();
                } else {
                    $('#btnShortUrlPaste').fadeIn();
                    alert(data.msg);
                }
            }
        );
    }    
    </script>