<?php 

    defined('C5_EXECUTE') or die("Access Denied.");
    use \Concrete\Core\Http\Service\Json;

    switch($_REQUEST['what']) {
                
        case "group-delete":
            $json = $api->group_delete(array(
                'id'=>$_REQUEST['id'],
            ));
            if($json->status=="success") {
                echo Json::encode(array(
                    "success"=>true,
                    'id'=>$_REQUEST['id'],
                ));                
            } else {
                echo Json::encode(array(
                    "success"=>false,
                    "msg"=>t("Sorry. Your group was not deleted. Please try again.")
                ));                
            }
            break;

        case "group-join":
            $json = $api->group_join(array(
                "id"=>$_REQUEST['id'],
                "contacts"=>array($_REQUEST['contactID']),
            ));
            if($json->status=="success") {
                echo Json::encode(array(
                    "success"=>true,
                    "contactID"=>$_REQUEST['contactID'],
                ));                
            } else {
                echo Json::encode(array(
                    "success"=>false,
                    "msg"=>t("Sorry. Your contact was not added to the group. Please try again.")
                ));                
            }
            break;

        case "group-leave":
            $json = $api->group_leave(array(
                "id"=>$_REQUEST['id'],
                "contacts"=>array($_REQUEST['contactID']),
            ));
            if($json->status=="success") {
                echo Json::encode(array(
                    "success"=>true,
                    "contacts"=>$json->contacts,
                ));                
            } else {
                echo Json::encode(array(
                    "success"=>false,
                    "msg"=>t("Sorry. Your contact was not removed from the group. Please try again."),
                    "contactID"=>$_REQUEST['contactID']
                ));                
            }
            break;

        case "group-toggle":
            $json = $api->group_toggle(array(
                "id"=>$_REQUEST['id'],
                "contacts"=>array($_REQUEST['contactID']),
            ));
            if($json->status=="success") {
                echo Json::encode(array(
                    "success"=>true,
                    "contacts"=>$json->contacts,
                ));                
            } else {
                echo Json::encode(array(
                    "success"=>false,
                    "msg"=>t("Sorry. Your contact was not removed from the group. Please try again.")
                ));                
            }
            break;

    }