<?php     
defined('C5_EXECUTE') or die(_("Access Denied."));
$form = Loader::helper('form');
?> 

<div class="ccm-ui">
    <input type="hidden" id="hidGroupIDs" name="groupIDs" value="<?php  echo $controller->groupIDs; ?>">
    <div class="row">
        <div class="form-group">
            <label><?php  echo t('Thank You Message'); ?></label>
            <p><?php  echo t('What message should the website display after someone submits this form?'); ?></p>
            <?php  echo $form->textarea("thankYou",$controller->thankYou); ?>
        </div>
    </div>
    <div class="row">
        <div class="form-group">
            <label><?php  echo t('Allow Visitors To Select Groups?'); ?></label>
            <p><?php  echo t('You can either allow the people that fill out this form to select which group(s) they wish to subscribe to, or fix it so they will be subscribed automatically.'); ?></p>
            <select name="groupsChoose">
                <option value="1"<?php  if($controller->groupsChoose>0) { ?> selected<?php  } ?>><?php  echo t('Allow Visitors To Select Groups'); ?></option>
                <option value="0"<?php  if($controller->groupsChoose<1) { ?> selected<?php  } ?>><?php  echo t('Automatically Assign Visitors To These Groups'); ?></option>
            </select>
        </div>
    </div>
    <div class="row">
        <div class="form-group">
            <label><?php  echo t('Select Group(s)'); ?></label>
            <p><?php  echo t('This is optional.'); ?></p>
            <ul class="nav nav-pills nav-stacked">
                <?php  
                    $selIDs = explode(",",$controller->groupIDs);
                    foreach($groups AS $group) { ?>
                    <li id="group<?php  echo $group->id; ?>" group-id="<?php  echo $group->id; ?>" class="gtpGroup<?php  if(in_array($group->id,$selIDs)) { ?> active<?php  } ?>"><a href="#" onclick="toggleGroup(<?php  echo $group->id; ?>); return false;"><?php  echo $group->name; ?></a></li>
                <?php  } ?>            
            </ul>    
        </div>
    </div>
</div>
