<?php 

    namespace Concrete\Package\GroupTextPro\Controller\SinglePage\Dashboard\GroupTextPro;
    use \Concrete\Core\Page\Controller\DashboardPageController;
    use \Concrete\Package\EmailListSignup\Models\EmailListSignup;

    defined('C5_EXECUTE') or die("Access Denied.");

    class Send extends DashboardPageController {
        
        function view() {
            $gtp = \Core::make('grouptextpro/tools');
            $gtp->refreshUserDetails();
        
            $groups = $gtp->getGroups();
                
            // assure groups exist
            if(!count($groups)) {
                $this->set('blockSending',true);
                $this->set('blockSendingReason','noGroups');
            }

            // assure groups have contacts
            $groupsHaveContacts = false;
            if(is_array($groups)) {
                foreach($groups AS $group) {
                    if($group->contacts->num->in) {
                        $groupsHaveContacts = true;
                        break;
                    }
                }                
            }
            if(!$groupsHaveContacts) {
                $this->set('blockSending',true);
                $this->set('blockSendingReason','noGroupsWithContacts');
            }
            
            $this->set('pageTitle',t('Send Message'));

        }
                
    }