<?php  
    defined('C5_EXECUTE') or die("Access Denied.");

    $form = Loader::helper('form'); 
    $ih = Loader::helper('concrete/ui'); 

    if(is_object($group)) {
        $fmAction = "save";
        $saveText = t("Save Group");        
    } else {
        $fmAction = "create";
        $saveText = t("Add Group");
        $group = new stdClass();
    }

?>

    <form method="post" class="form-horizontal" action="<?php  echo $view->action($fmAction)?>">
		<fieldset>
    		<legend><?php  echo t('Group Details')?></legend>
			<?php  if($fmAction=="save") { ?>
			     <input type="hidden" name="id" value="<?php  echo $group->id; ?>">
			<?php  } ?>
			<div class="row">
				<div class="form-group">
					<label for="name" class="control-label col-sm-3"><?php  echo t('Group Name')?></label>
					<div class="col-sm-7">
						<div class="input-group">
						<?php  echo $form->text('name', $group->name)?>
						<span class="input-group-addon"><i class="fa fa-asterisk"></i></span>
						</div>
					</div>
				</div>
			</div>

			<div class="row">
				<div class="form-group">
					<label for="keyword" class="control-label col-sm-3"><?php  echo t('Keyword')?></label>
					<div class="col-sm-7">
						<div class="input-group">
						<?php  echo $form->text('keyword', $group->keyword)?>
						<span class="input-group-addon"><i class="fa fa-asterisk"></i></span>
						</div>
					</div>
				</div>
			</div>

			<div class="row">
				<div class="form-group">
					<label for="welcomeMessage" class="control-label col-sm-3"><?php  echo t('Welcome Message')?></label>
    				<div class="col-sm-7">
    					<?php  echo $form->textarea('welcomeMessage', $group->welcomeMessage);?>
					</div>
				</div>
			</div>

	<div class="ccm-dashboard-form-actions-wrapper">
	<div class="ccm-dashboard-form-actions">
		<a href="<?php  echo View::url('/dashboard/grouptextpro/groups')?>" class="btn btn-default pull-left"><?php  echo t('Cancel')?></a>
		<?php  echo Loader::helper("form")->submit('add', $saveText, array('class' => 'btn btn-primary pull-right'))?>
	</div>
	</div>
    </form>
