<?php  
    defined('C5_EXECUTE') or die("Access Denied.");

    $gtp->outputDashboardStatusBar();

     ?>

    <div class="row">
        <div class="col-sm-8">
            <p><?php  echo t('Groups provide the ability to collect phones into sets, so you can control exactly which contacts to send each message to.'); ?></p>        
        </div>
        <div class="col-sm-4">
            <a href="<?php  echo View::url('dashboard/grouptextpro/groups/add'); ?>" class="btn btn-success pull-right"><?php  echo t('Add Group'); ?></a>        
        </div>
    </div>

    <table class="table table-striped">
        <thead>
            <tr>
                <th><?php  echo t('Name'); ?></th>
                <th><?php  echo t('# Contacts'); ?></th>
                <th>&nbsp;</th>
            </tr>
        </thead>
        <tbody>
        <?php  
            if(count($groups)) {
                foreach($groups AS $group) { ?>
                <tr id="groupRow<?php  echo $group->id; ?>">
                    <td><a href="<?php  echo $view->action('group',$group->id); ?>"><?php  echo $group->name; ?></a></td>
                    <td><?php  echo $group->contacts->num->in; ?></td>
                    <td>
                        <button class="btn btn-primary btn-mini" onclick="window.location.href='<?php  echo $view->action('edit',$group->id); ?>';"><?php  echo t('Edit Group'); ?></button>
                        <button class="btn btn-danger btn-mini" onclick="deleteGroup(<?php  echo $group->id; ?>);"><?php  echo t('Delete'); ?></button>
                    </td>
                </tr>
                <?php  }
            } else { ?>
                <tr>
                    <td colspan="3"><?php  echo t('You have not yet created any groups.'); ?> <a href="<?php  echo $view->action('add'); ?>"><?php  echo t('Create one now.'); ?></a></td>
                </tr>
                <?php 
            }
        ?>
        </tbody>
    </table>

        
    <script type="text/javascript">
    function deleteGroup(id) {
        if(confirm('<?php  echo t('Are you sure you want to delete this group?'); ?>')) {
            $('#groupRow'+id).hide();
            $.getJSON(
                "<?php  echo Url::to('/grouptextpro/ajax'); ?>",
                {
                    what: 'group-delete',
                    id: id
                },
                function(data) {
                    if(data.success) {
                    } else {
                        $('#groupRow'+id).show();
                        alert(data.msg);
                    }
                }
            )            
        }
    }

    </script>