<?php      defined('C5_EXECUTE') or die("Access Denied."); ?>
<?php  

    $gtp->outputDashboardStatusBar();

?>

    <div class="row">
        <div class="col-sm-8">
            <p><?php  echo t('Every message is a single communication sent to one or more contacts. This page shows your messages and the status of each.'); ?></p>
        </div>
    </div>

    <table class="table table-striped">
        <thead>
            <tr>
                <th style="width: 100px;"><?php  echo t('Date'); ?></th>
                <th><?php  echo t('Message'); ?></th>
                <th><?php  echo t('Sends'); ?></th>
            </tr>
        </thead>
        <tbody>
        <?php  
            if(count($messages)) {
                foreach($messages AS $message) { ?>
                <tr>
                    <td><?php  echo date("F j, Y g:ia",$message->times->sendTimeLocal); ?></td>
                    <td>
                        <a href="<?php  echo $view->action('message',$message->id); ?>"><?php  echo $message->message; ?></a>
                        <?php  if($message->is->canceled) { ?><br /><span class="muted"><?php  echo t('This message was canceled.'); ?></span><?php  } ?>
                        <?php  if(!$message->is->processed && !$message->is->canceled) { ?><br /><span class="muted"><?php  echo t('This message is queued.'); ?></span><?php  } ?>
                    </td>
                    <td><?php  echo $message->is->canceled ? t('canceled') : ($message->is->processed ? $message->stats->numSends : t("queued")); ?></td>
                </tr>
                <?php  }
            } else { ?>
                <tr>
                    <td colspan="4"><?php  echo t('You have not yet sent any messages.'); ?> <a href="<?php  echo View::url('dashboard/grouptextpro/send'); ?>"><?php  echo t('Send one now.'); ?></a></td>
                </tr>
            <?php  } ?>
        </tbody>
    </table>